Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-0739

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2005-0739
Last Modified 21 Aug 2010 12:00:00
Published 02 May 2005 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2005-0739

Summary

The IAPP dissector (packet-iapp.c) for Ethereal 0.9.1 to 0.10.9 does not properly use certain routines for formatting strings, which could leave it vulnerable to buffer overflows, as demonstrated using modified length values that are not properly handled by the dissect_pdus and pduval_to_str functions.

Vulnerable Systems

Application

  • Ethereal Group Ethereal 0.10.9


References

CONFIRM - http://www.ethereal.com/appnotes/enpa-sa-00018.html

DEBIAN - DSA-718

BID - 12762

REDHAT - RHSA-2005:306

FEDORA - FLSA-2006:152922

MANDRAKE - MDKSA-2005:053

GENTOO - GLSA-200503-16

MISC - http://security.lss.hr/index.php?page=details&ID=LSS-2005-03-05

BUGTRAQ - 20050312 Ethereal remote buffer overflow #2

MISC - http://anonsvn.ethereal.com/viewcvs/viewcvs.py?view=rev&rev=13707


Last Updated: 27 May 2016 10:39:54